# Load the Module::Install bundled in ./inc/
use inc::Module::Install;

# Define metadata
name            'YAXML-Reverse';
license         'gpl';
all_from        'lib/YAXML/Reverse.pm';

# Specific dependencies
perl_version    '5.8.8';
requires        'XML::Writer'    => '0.6';
requires	'YAML::XS'       => '0.26';
requires        'Encode'         => '2.12';
build_requires  'Test::More'     => '0.42';
build_requires  'Test::Pod::Coverage' => '1.04';
build_requires  'Test::Pod'      => '1.14';
build_requires  'XML::LibXML'    => '1.63';
build_requires  'XML::LibXSLT'   => '1.59';

install_script 'script/yaml2xml';
install_share  'share';

auto_install;
WriteMakefile('dist' => {COMPRESS => "bzip2 --best",
			 SUFFIX => ".bz2"});

